### Method

# Lfb GdbusFeedbackHaptic call_vibrate

#### Declaration [src]

    void
    lfb_gdbus_feedback_haptic_call_vibrate (
      LfbGdbusFeedbackHaptic* proxy,
      const gchar* arg_app_id,
      GVariant* arg_pattern,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously invokes the Vibrate() D-Bus method on `proxy`. When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `lfb_gdbus_feedback_haptic_call_vibrate_finish()` to get the result of the operation.

See `lfb_gdbus_feedback_haptic_call_vibrate_sync()` for the synchronous, blocking version of this method.

This method completes asynchronously. Use `lfb_gdbus_feedback_haptic_call_vibrate_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`arg_app_id`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`arg_pattern`

  Type: `GVariant`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.